Skip to main content
GET
/
data
/
air
/
v1
/
airports
/
nearby
Find airports near a coordinate
curl --request GET \
  --url https://api.voyant.travel/data/air/v1/airports/nearby \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "iataCode": "LHR",
      "name": "London Heathrow Airport",
      "countryIso2": "GB",
      "latitude": 51.4706,
      "longitude": -0.461941,
      "scheduledService": true,
      "lastUpdated": "2023-11-07T05:31:56Z",
      "icaoCode": "EGLL",
      "city": "London",
      "regionCode": "<string>",
      "elevationFt": 123,
      "timezone": "Europe/London",
      "wikipediaUrl": "<string>"
    }
  ],
  "totalCount": 123,
  "nextCursor": "<string>"
}

Authorizations

Authorization
string
header
required

Voyant Data API token, scoped per sub-product (data:{product}:read). Sent as Authorization: Bearer <token>.

Query Parameters

latitude
number
required
longitude
number
required
radiusKm
number
default:50
scheduledServiceOnly
boolean
limit
integer
default:20
Required range: x <= 50

Response

Nearby airports

data
object[]
required
totalCount
integer
required
nextCursor
string